﻿@model Jumbula.Core.Model.Contact.ContactCreateViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Contacts'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Create contact
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate ng-submit="submit()">

        <fieldset>

            <div>
                <label class="req-star" for="@Html.Ang(m => m.FirstName)">First name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FirstName)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.FirstName)" ng-model="@Html.Ang(m => m.FirstName)" @Html.AngTooltipValidationFor(model => model.FirstName) />
                </div>
            </div>

            <div>
                <label class="req-star" for="@Html.Ang(m => m.LastName)">Last name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LastName)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.LastName)" ng-model="@Html.Ang(m => m.LastName)" @Html.AngTooltipValidationFor(model => model.LastName) />
                </div>
            </div>

            <div ng-if="Model.ShowEmail">
                <label for="@Html.Ang(m => m.Email)">Email</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Email)" ng-model="@Html.Ang(m => m.Email)" @Html.AngTooltipValidationFor(model => model.Email) />
                </div>
            </div>

            <div ng-if="Model.ShowPhone">
                <div class="two-third place-left padding-right20">
                    <label for="@Html.Ang(m => m.Phone)">Phone</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Phone)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Phone)" ng-model="@Html.Ang(m => m.Phone)" @Html.AngTooltipValidationFor(model => model.Phone) />
                    </div>
                </div>

                <div class="one-third place-left">
                    <label for="@Html.Ang(m => m.PhoneExtension)">Extension</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PhoneExtension)>
                        <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.PhoneExtension)" ng-model="@Html.Ang(m => m.PhoneExtension)" @Html.AngTooltipValidationFor(model => model.PhoneExtension) />
                    </div>
                </div>
            </div>


            <div class="clearfix"></div>
        </fieldset>


        <div class="clearfix"></div>
        <hr />
        <button type="submit" class="success large place-right">Submit</button>

        <a class="place-left button link large" ui-sref='Contacts'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>






